<?php
/* do NOT run this script through a web browser */
if (!isset($_SERVER["argv"][0]) || isset($_SERVER['REQUEST_METHOD'])  || isset($_SERVER['REMOTE_ADDR'])) {
   die("<br><strong>This script is only meant to run at the command line.</strong>");
}
 
$no_http_headers = true;
 
if (file_exists(dirname(__FILE__) . "/../include/global.php")) {
        include(dirname(__FILE__) . "/../include/global.php");
}
include(dirname(__FILE__) . "/../include/config.php");
include(dirname(__FILE__) . "/../lib/snmp.php");
 
$hostname = $_SERVER["argv"][1];
$snmp_community = $_SERVER["argv"][2];
 
if(isset($_SERVER["argv"][3]))
$snmp_version = $_SERVER["argv"][3];
else    
$snmp_version = "2" ;
 
function snmp_walk($hostname, $snmp_community, $oid, $snmp_version, $cacti_version) {
        
        if ($cacti_version) {
                $value = cacti_snmp_walk($hostname, $snmp_community, $oid, $snmp_version, "", "", "", "", "", "", 161, 1000, 1);
        } else {
               $value = cacti_snmp_walk($hostname, $snmp_community, $oid, $snmp_version, "", "", 161, 1000);
        }
        //print_r($value);
        return $value;
}
 
$bsnMobileStationProtocol = ".1.3.6.1.4.1.14179.2.1.4.1.25";

$clienttypes = reindex(snmp_walk($hostname, $snmp_community, $bsnMobileStationProtocol, $snmp_version, $config["cacti_version"]));
 
$sorted = array_count_values($clienttypes);
 
if (is_array($sorted) && count($sorted) > 0) {
  $indexmax = 3;
  for ($i=1;$i<=$indexmax;$i++) {
    if(!isset($sorted[$i]))
      $sorted[$i] = 0;
  }

  $newfinalarray = array("Client11g:"=>$sorted[3],"Client11b:"=>$sorted[2],"Client11g:"=>$sorted[1]);
  print "Client11g:" . $sorted[3] . " Client11b:" . $sorted[2] . " Client11a:" . $sorted[1] . "\n";
} else {
  print "Client11g:0 Client11b:0 Client11a:0\n";
}
 
function reindex($arr) {
   $return_arr = array();

   for ($i=0;($i<sizeof($arr));$i++) {
      $return_arr[$i] = $arr[$i]["value"];
   }
 
   return $return_arr;
}
?>
